Subject: Re: [PATCH 1/3] completion: fix alias listings with newlines

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 7 Oct 2009 21:29:17 -0700

Stephen Boyd <[email-masked]> wrote:
> Johannes Sixt wrote:
> > Is it necessary to change the body of the loop? Your version spawns two
> > processes on each iteration, while the original spawned no processes.

Yes, we should try to avoid spawning a process here, it fires on
each completion attempt if I recall.

> Maybe a better solution would be to add --keys-only or something to
> git-config?

Or a format string with a language based escape like for-each-ref
supports?  Might make it easier to use git config in scripts if we
can write things like:

  git config --format='$data{%(key)}=%(value);' --perl

-- 
Shawn.